### Method

# Gio Settings reset

#### Declaration

    void
    g_settings_reset (
      GSettings* settings,
      const gchar* key
    )

#### Description

Resets `key` to its default value.

This call resets the key, as much as possible, to its default value. That might be the value specified in the schema or the one set by the administrator.

#### Parameters

`key`

  Type: `const gchar*`

  The name of a key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.